cURL
curl --request POST \
--url https://app-api.aide.app/v1/sender-classifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": {
"body": "<string>",
"from": "<string>",
"replyTo": "<string>",
"to": [
"<string>"
],
"subject": "<string>",
"headers": "<string>",
"phone": "<string>",
"senderId": "<string>",
"name": "<string>",
"inbox": "<string>"
}
}
'import requests
url = "https://app-api.aide.app/v1/sender-classifications"
payload = { "message": {
"body": "<string>",
"from": "<string>",
"replyTo": "<string>",
"to": ["<string>"],
"subject": "<string>",
"headers": "<string>",
"phone": "<string>",
"senderId": "<string>",
"name": "<string>",
"inbox": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: {
body: JSON.stringify('<string>'),
from: '<string>',
replyTo: '<string>',
to: ['<string>'],
subject: '<string>',
headers: '<string>',
phone: '<string>',
senderId: '<string>',
name: '<string>',
inbox: '<string>'
}
})
};
fetch('https://app-api.aide.app/v1/sender-classifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/sender-classifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => [
'body' => '<string>',
'from' => '<string>',
'replyTo' => '<string>',
'to' => [
'<string>'
],
'subject' => '<string>',
'headers' => '<string>',
'phone' => '<string>',
'senderId' => '<string>',
'name' => '<string>',
'inbox' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/sender-classifications"
payload := strings.NewReader("{\n \"message\": {\n \"body\": \"<string>\",\n \"from\": \"<string>\",\n \"replyTo\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"subject\": \"<string>\",\n \"headers\": \"<string>\",\n \"phone\": \"<string>\",\n \"senderId\": \"<string>\",\n \"name\": \"<string>\",\n \"inbox\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/sender-classifications")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"message\": {\n \"body\": \"<string>\",\n \"from\": \"<string>\",\n \"replyTo\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"subject\": \"<string>\",\n \"headers\": \"<string>\",\n \"phone\": \"<string>\",\n \"senderId\": \"<string>\",\n \"name\": \"<string>\",\n \"inbox\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/sender-classifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"message\": {\n \"body\": \"<string>\",\n \"from\": \"<string>\",\n \"replyTo\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"subject\": \"<string>\",\n \"headers\": \"<string>\",\n \"phone\": \"<string>\",\n \"senderId\": \"<string>\",\n \"name\": \"<string>\",\n \"inbox\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "sender_classification",
"reason": "auto_reply",
"customer": {
"name": "<string>",
"address": "<string>"
},
"outcome": "automated",
"ruleId": "<string>",
"detector": {
"reason": "auto_reply",
"enabled": true
},
"decidedBy": "default",
"ruleName": "<string>",
"droppedBy": "auto_reply",
"replySafe": true,
"rules": [
{
"name": "<string>",
"id": "<string>",
"enabled": true,
"conditions": [
true
],
"matched": true,
"exceptions": [
true
]
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}SenderClassification
Post v1sender classifications
POST
/
v1
/
sender-classifications
cURL
curl --request POST \
--url https://app-api.aide.app/v1/sender-classifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": {
"body": "<string>",
"from": "<string>",
"replyTo": "<string>",
"to": [
"<string>"
],
"subject": "<string>",
"headers": "<string>",
"phone": "<string>",
"senderId": "<string>",
"name": "<string>",
"inbox": "<string>"
}
}
'import requests
url = "https://app-api.aide.app/v1/sender-classifications"
payload = { "message": {
"body": "<string>",
"from": "<string>",
"replyTo": "<string>",
"to": ["<string>"],
"subject": "<string>",
"headers": "<string>",
"phone": "<string>",
"senderId": "<string>",
"name": "<string>",
"inbox": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: {
body: JSON.stringify('<string>'),
from: '<string>',
replyTo: '<string>',
to: ['<string>'],
subject: '<string>',
headers: '<string>',
phone: '<string>',
senderId: '<string>',
name: '<string>',
inbox: '<string>'
}
})
};
fetch('https://app-api.aide.app/v1/sender-classifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/sender-classifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => [
'body' => '<string>',
'from' => '<string>',
'replyTo' => '<string>',
'to' => [
'<string>'
],
'subject' => '<string>',
'headers' => '<string>',
'phone' => '<string>',
'senderId' => '<string>',
'name' => '<string>',
'inbox' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/sender-classifications"
payload := strings.NewReader("{\n \"message\": {\n \"body\": \"<string>\",\n \"from\": \"<string>\",\n \"replyTo\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"subject\": \"<string>\",\n \"headers\": \"<string>\",\n \"phone\": \"<string>\",\n \"senderId\": \"<string>\",\n \"name\": \"<string>\",\n \"inbox\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/sender-classifications")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"message\": {\n \"body\": \"<string>\",\n \"from\": \"<string>\",\n \"replyTo\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"subject\": \"<string>\",\n \"headers\": \"<string>\",\n \"phone\": \"<string>\",\n \"senderId\": \"<string>\",\n \"name\": \"<string>\",\n \"inbox\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/sender-classifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"message\": {\n \"body\": \"<string>\",\n \"from\": \"<string>\",\n \"replyTo\": \"<string>\",\n \"to\": [\n \"<string>\"\n ],\n \"subject\": \"<string>\",\n \"headers\": \"<string>\",\n \"phone\": \"<string>\",\n \"senderId\": \"<string>\",\n \"name\": \"<string>\",\n \"inbox\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "sender_classification",
"reason": "auto_reply",
"customer": {
"name": "<string>",
"address": "<string>"
},
"outcome": "automated",
"ruleId": "<string>",
"detector": {
"reason": "auto_reply",
"enabled": true
},
"decidedBy": "default",
"ruleName": "<string>",
"droppedBy": "auto_reply",
"replySafe": true,
"rules": [
{
"name": "<string>",
"id": "<string>",
"enabled": true,
"conditions": [
true
],
"matched": true,
"exceptions": [
true
]
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}